Skip to Content
kosemdocs
ReferenceAPIAgents

List agent secret grants

Lists the secrets that an agent can use.

GET
/v1/projects/{project}/agents/{agent}/secretGrants

Lists the secrets that an agent can use.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
agent*string

The agent's ID.

Match^ags_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

OK

application/json
  1. response
secretGrants*array<>

The agent's grants, the oldest first.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/agents/string/secretGrants'
Example Response
{
  "secretGrants": [
    {
      "createTime": "2019-08-24T14:15:22Z",
      "grantor": "string",
      "secret": "string"
    }
  ]
}